get
https://mediastoreapi-sandbox.cleeng.com/gifts/
This endpoint retrieves details of a given gift that was previously purchased.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
Response description
| Response | Type | Description |
|---|---|---|
id | integer | The identifier of a gift. Example: 123456789. |
code | string | A gift code. Min length: 9, max length: 9. Example: 1A2B-3C4D. |
offerId | string | The identifier of a Cleeng offer. Example: S123123123_US. |
giftedCycles | integer | How many of the offer's billing cycles the gift covers. |
deliveryDetails | object | Gift delivery details: |
| string |
|
| string |
|
| integer |
|
gifter | object | Gifterās (buyerās) details |
| string | Gifterās email |
| string | Gifterās first name. Nullable: yes |
| string | Gifter's last name. Nullable: yes |
sentAt | integer | Time when the gift code was sent to the recipient (in UNIX timestamp format). null if the gift has not been sent. |
redeemedAt | integer | Time when the gift code was redeemed by the person who received it (recipient) (in UNIX timestamp format). null if the gift has not been redeemed. |

